function F = solveshare_close(BS_BP,rl,r,DELTA,BETA,ALPHA,THETAS,THETAP,AS,AP,RSTAR,PHI,GAMMA,TAUL,TAUD,TAU,SIGMA,THETAY,PHIB,BYBAR,K,OMEGAM)

BFL_BP = 0;
rf = RSTAR;
qk = 1;
rk = r - (1-DELTA);

%KS_YS = (1-ALPHA)*(EPS-1)/EPS/(rk*(1-THETAS+rs*THETAS));
%KP_YP = (1-ALPHA)*LOSS/(rk*(1-THETAP+rp*THETAP));

BG_BS = GAMMA*(BS_BP + 1 - BFL_BP)/BS_BP;

omegasbar = fsolve(@(omegasbar) 1/(K-1)*OMEGAM^K*omegasbar^(1-K)/(1 - 1/(K-1)*OMEGAM^K*omegasbar^(1-K) + BG_BS*(omegasbar  - (1-1/(K-1)*OMEGAM^K*omegasbar^(1-K)))) - THETAS/rl, 1,optimset('TolFun',1e-18));

fomegas = 1/(K-1)*OMEGAM^K*omegasbar^(1-K);

atildes = THETAS/fomegas;

omegapbar = fsolve(@(omegapbar) 1/(K-1)*OMEGAM^K*omegapbar^(1-K)/(1 - 1/(K-1)*OMEGAM^K*omegapbar^(1-K) ) - THETAP/rl, 1,optimset('TolFun',1e-18));

fomegap = 1/(K-1)*OMEGAM^K*omegapbar^(1-K);

atildep = THETAP/fomegap;

PS_PP = AP/AS/atildep/(1/atildes);

if SIGMA ==1
    YS_Y = PHI;
    YP_Y = 1 - PHI;
else
pp = (1/(PHI^SIGMA*(PS_PP)^(1-SIGMA) + (1-PHI)^SIGMA))^(1/(1-SIGMA));
ps = PS_PP*pp;

YS_Y = PHI^SIGMA*ps^(1-SIGMA);
YP_Y = (1-PHI)^SIGMA*pp^(1-SIGMA);
end

KS_Y = (1-ALPHA)*YS_Y/(rk*atildes);
KP_Y = (1-ALPHA)*YP_Y/(rk*atildep);

K_Y = KS_Y + KP_Y;
I_K = DELTA;
I_Y = I_K*K_Y;

KO_Y = K_Y - I_Y;

BS_Y = YS_Y/(atildes);
BP_Y = YP_Y/(atildep);

WHS_Y = (1-ALPHA)*YS_Y/(atildes);
WHP_Y = (1-ALPHA)*YP_Y/(atildep);

BFL_Y =  BFL_BP*BP_Y;
D_Y = BS_Y + BP_Y - BFL_Y;

BFD_Y = 0;

WEALTH_Y = r * D_Y + (1-TAUD)*rf*BFD_Y  + (qk*(1-DELTA) + rk)*(KO_Y + I_Y) + (1-THETAY)*(TAUL*rl*BFL_Y + TAUD*rf*BFD_Y);

CY_Y = WHS_Y + WHP_Y + THETAY*(TAUL*rl*BFL_Y + TAUD*rf*BFD_Y) - I_Y - KO_Y  - D_Y - BFD_Y + TAU*WEALTH_Y;

CO_Y = (1-TAU)*WEALTH_Y;

F(1) = BS_BP - YS_Y/atildes/(YP_Y/atildep);
F(2) = (rl - r) - (omegasbar  - (1-fomegas) )*atildes* GAMMA;
F(3) = BETA*CY_Y/CO_Y*r - 1;

if F(2) ==inf
    F(2) = 1e10;
end


%SIGMA = 1; 