function bf= solvebf(DELTA,PSIH,ETA,BETA,ALPHA,THETAS,THETAP,EPS,AS,AP,RSTAR,PHI,GAMMA,MU,TAU,SIGMA,THETAY,LOSS)

rf = RSTAR;

r = (1-MU)*rf;

qk = 1;
rk = r - (1-DELTA);


rp = (r - 1*GAMMA)/(1-GAMMA);

BS_BP = fsolve(@(BS_BP) solveshare(BS_BP,r,GAMMA,PHI,SIGMA,EPS,AS,AP,LOSS),1,optimset('TolFun',1e-12));

BG_BP = GAMMA/(1-GAMMA)*(1+BS_BP);

rs = (GAMMA/(1-GAMMA) + rp*(BS_BP/(1+BS_BP)))/(GAMMA/(1-GAMMA) + (BS_BP/(1+BS_BP)));

%KS_YS = (1-ALPHA)*(EPS-1)/EPS/(rk*(1-THETAS+rs*THETAS));
%KP_YP = (1-ALPHA)*LOSS/(rk*(1-THETAP+rp*THETAP));

PS_PP = AP/AS*LOSS/rp/((EPS-1)/EPS/rs);

if SIGMA ==1
    YS_Y = PHI;
    YP_Y = 1 - PHI;
else
pp = (1/(PHI^SIGMA*(PS_PP)^(1-SIGMA) + (1-PHI)^SIGMA))^(1/(1-SIGMA));
ps = PS_PP*pp;

YS_Y = PHI^SIGMA*ps^(1-SIGMA);
YP_Y = (1-PHI)^SIGMA*pp^(1-SIGMA);
end


KS_Y = (1-ALPHA)*YS_Y*(EPS-1)/EPS/(rk*(1-THETAS+rs*THETAS));
KP_Y = (1-ALPHA)*YP_Y*LOSS/(rk*(1-THETAP+rp*THETAP));

K_Y = KS_Y + KP_Y;
I_K = DELTA;
I_Y = I_K*K_Y;

KO_Y = K_Y - I_Y;

BSG_Y = THETAS*YS_Y*(EPS-1)/EPS/((1-THETAS+rs*THETAS));
BP_Y = THETAP*YP_Y*LOSS/((1-THETAP+rp*THETAP));

WHS_Y = (1-ALPHA)*YS_Y*(EPS-1)/EPS/((1-THETAS+rs*THETAS));
WHP_Y = (1-ALPHA)*YP_Y*LOSS/((1-THETAP+rp*THETAP));

D_Y = (BETA*r*(WHS_Y + WHP_Y + THETAY*MU*rf*(-BSG_Y-BP_Y) - I_Y - KO_Y) - (1-TAU - TAU*BETA*r)*(YS_Y/EPS + (1-THETAY)*MU*rf*(-BSG_Y-BP_Y)+ (qk*(1-DELTA) + rk)*(KO_Y + I_Y)))/((r+(1-THETAY)*MU*rf)*(1-TAU-TAU*BETA*r) + BETA*r*(1-THETAY*MU*rf));

BF_Y =  D_Y - (BSG_Y + BP_Y);

WEALTH_Y = r * D_Y + YS_Y/EPS + (qk*(1-DELTA) + rk)*(KO_Y + I_Y) + (1-THETAY)*MU*rf*BF_Y;

CY_Y = WHS_Y + WHP_Y + THETAY*MU*rf*BF_Y - I_Y - KO_Y  - D_Y + TAU*WEALTH_Y;

CO_Y = (1-TAU)*WEALTH_Y;

%F = BETA*CY_Y/CO_Y*r - 1;


%(WHS_Y+WHP_Y)/CY_Y/(1/3)^(ETA+1)
h = ((WHS_Y+WHP_Y)/CY_Y/PSIH)^(1/(ETA+1));

HS_HP = ALPHA*YS_Y*(EPS-1)/EPS/(1-THETAS+rs*THETAS)/(ALPHA*YP_Y*LOSS/(1-THETAP+rp*THETAP));

hp = 1/(HS_HP + 1)*h;

hs = HS_HP*hp;

KS_KP = HS_HP;

YS_YP = AS/AP*KS_KP;

if SIGMA ==1
pp = (1-PHI)*(YS_YP)^(PHI);
ps = PHI*(1/YS_YP)^(1-PHI);
end


ys = (AS*(KS_Y/(YS_Y/ps))^(1-ALPHA)*(hs)^ALPHA)^(1/ALPHA);

yp = (AP*(KP_Y/(YP_Y/pp))^(1-ALPHA)*(hp)^ALPHA)^(1/ALPHA);

if SIGMA ==1
y = ys^PHI*yp^(1-PHI);
else    
y = (PHI*ys^((SIGMA - 1)/SIGMA) + (1-PHI)*yp^((SIGMA - 1)/SIGMA))^(SIGMA/(SIGMA - 1));
end

cy = CY_Y*y;
co = CO_Y*y;

k = K_Y*y;
i = I_Y*y;
bp = BP_Y*y;
bs = BS_BP*bp;
bg = BG_BP*bp;

bf = BF_Y*y;
d = bg + bs+bp+bf;
ks = KS_Y*y;
kp = KP_Y*y;

w = (WHS_Y+WHP_Y)*y/h;

ko = k - i;
wealth = WEALTH_Y  *y;

end

%b*(1 - 1/BETA) + (m+tau*THETA*gamma*qm/(1-tau))*(1 - 1/PISS/MUZ)-bgstar*(1 - 1/BETA *(1-MU))
%b/y*(1-1/BETA)+ (m/y + TAU*THETA*(1-PHI)*v/(1-TAU))*(1-1/PISS/MUZ)-bgstar/y*(1-1/BETA*(1-MU))
%XSS * (1-(1-PHI)*(EPS-1)/EPS) - (1-ALPHA)*(1-PHI)*v + (THETA*(1-PHI)*v/(1-TAU)+b/y)*(1-PSIBAR)/PSIBAR*(1/BETA-1) - bgstar/y *(1 - 1/BETA*(1-MU))
%XSS * (1-(1-PHI)*(EPS-1)/EPS) - (1-ALPHA)*(1-PHI)*v + bpstar/y*(1/BETA-1) - bgstar/y *(1 - 1/BETA*(1-MU))


